Key features of IBM CICS Transaction Server for z/VSE V2.2

Enhancements to CICS Explorer

IBM CICS Transaction Server for z/VSE V2.2 offers enhancements to CICS Explorer that allow you to easily manage CICS resources. You can define new CICS resources and modify or delete existing resources or monitor, control, and update dynamic storage areas and global temporary storage queue statistics. CICS Explorer also supports "definitions" views for selected CICS resources.

OpenSSL for CICS Web Support

OpenSSL for CICS Web Support offers additional flexibility and allows you to take advantage of the OpenSSL security.

An upgrade of CICS Web Support to HTTP 1.1

The CICS Web Support upgrade to HTTP 1.1 provides support for the latest web browsers and applications. New functions improve performance and security, such as persistent connections for sending keep alive headers to leave the connection open; pipelining for sending multiple requests without waiting for a response before sending the next request; and chunking that occurs when the body of a message is transferred as a series of chunks—each with its own size indicator and data.

Improvements to the CICS API

Enhancements to the CICS API simplify application integration and provide support for: UTF-8 and UTF-16 for use in data conversion when using the channels and containers API; APPEND parameter for PUT CONTAINER to append specified data to existing container data; BYTEOFFSET parameter for GET CONTAINER to retrieve data at a specified offset in a container; date and time stamp formats that are in general use across the Internet; and LE MAIN for Assembler applications.

IBM CICS Transaction Server for z/VSE V2.2 Enhancements

Read the documentation

Technical details

Software requirements

IBM CICS Transaction Server for z/VSE V2.2 requires at least z/VSE V6.2 to be installed. CICS Transaction Server for z/VSE V2.2 will not initialize in an environment with a lower level of operating system installed.

    Hardware requirements

    IBM CICS Transaction Server for z/VSE V2.2 runs on any IBM Z® machine that supports the required z/VSE operating system.

      You may also be interested in

      IBM z/VSE

      Protect and use your investments better in z/VSE information assets

      Learn more

      IBM CICS VSAM Recovery for z/VSE

      Automate data recovery after physical or logical corruption

      Learn more

      CCCA for VSE

      Convert old COBOL source code and copy modules to new versions

      Learn more